Bug 743773

Summary: [abrt] virt-manager-0.9.0-6.fc16: get_selection_from_clipboard: Process /usr/bin/python was killed by signal 11 (SIGSEGV)
Product: [Fedora] Fedora Reporter: Adam Williamson <awilliam>
Component: spice-gtkAssignee: Marc-Andre Lureau <marcandre.lureau>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: berrange, bugzilla_rhn, cfergeau, crobinso, dougsland, dpierce, gcarter, hbrock, jforbes, mangobrain, marcandre.lureau, saam, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:3b8dd4dd48c9b222e31abcffd36b952eeffb2142
Fixed In Version: spice-gtk-0.9-1.fc16 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-08-02 08:21:09 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
File: backtrace
none
File: maps none

Description Adam Williamson 2011-10-05 20:57:10 EDT
libreport version: 2.0.6
abrt_version:   2.0.4.981
backtrace_rating: 4
cmdline:        python /usr/share/virt-manager/virt-manager.py
comment:        Just using virt-manager normally, don't remember precisely what VM I was in.
crash_function: get_selection_from_clipboard
executable:     /usr/bin/python
kernel:         3.1.0-0.rc8.git0.0.fc16.x86_64
reason:         Process /usr/bin/python was killed by signal 11 (SIGSEGV)
time:           Tue Oct  4 13:21:56 2011
uid:            501
username:       adamw

backtrace:      Text file, 38463 bytes
maps:           Text file, 78961 bytes

dso_list:
:/lib64/libm-2.14.90.so glibc-2.14.90-10.x86_64 (Fedora Project) 1317261760
:/usr/lib64/python2.7/site-packages/cairo/_cairo.so pycairo-1.8.8-2.fc14.x86_64 (Fedora Project) 1305315793
:/lib64/libfreebl3.so nss-softokn-freebl-3.12.10-4.fc16.x86_64 (Fedora Project) 1311700084
:/usr/lib64/python2.7/lib-dynload/grpmodule.so python-libs-2.7.2-4.fc16.x86_64 (Fedora Project) 1310397044
:/usr/lib64/libvorbisenc.so.2.0.8 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1305315725
:/usr/lib64/libgdk-x11-2.0.so.0.2400.6 gtk2-2.24.6-1.fc16.x86_64 (Fedora Project) 1314898336
:/usr/lib64/libwsman_curl_client_transport.so.1.0.0 libwsman1-2.2.5-3.fc16.x86_64 (Fedora Project) 1316981618
:/usr/lib64/python2.7/lib-dynload/math.so python-libs-2.7.2-4.fc16.x86_64 (Fedora Project) 1310397044
:/lib64/libwrap.so.0.7.6 tcp_wrappers-libs-7.6-64.fc16.x86_64 (Fedora Project) 1309201333
:/lib64/libnl.so.1.1 libnl-1.1-14.fc16.x86_64 (Fedora Project) 1309201334
:/usr/lib64/gtk-2.0/modules/libatk-bridge.so at-spi2-atk-2.2.0-1.fc16.x86_64 (Fedora Project) 1317368037
:/lib64/libnspr4.so nspr-4.8.8-4.fc16.x86_64 (Fedora Project) 1311700092
:/usr/share/icons/hicolor/icon-theme.cache hicolor-icon-theme-0.12-3.fc16.noarch (Fedora Project) 1309201361
:/usr/lib64/libpango-1.0.so.0.2904.0 pango-1.29.4-1.fc16.x86_64 (Fedora Project) 1317368031
:/usr/lib64/libcanberra-gtk.so.0.1.8 libcanberra-gtk2-0.28-3.fc16.x86_64 (Fedora Project) 1310692792
:/lib64/libgcrypt.so.11.7.0 libgcrypt-1.5.0-2.fc16.x86_64 (Fedora Project) 1313608821
:/usr/lib64/python2.7/site-packages/gtk-2.0/gconf.so gnome-python2-gconf-2.28.1-4.fc15.x86_64 (Fedora Project) 1305315793
:/usr/lib64/libXdamage.so.1.1.0 libXdamage-1.1.3-2.fc15.x86_64 (Fedora Project) 1305315778
:/usr/lib64/libFLAC.so.8.2.0 flac-1.2.1-6.fc12.x86_64 (Fedora Project) 1305315726
:/usr/lib64/python2.7/lib-dynload/_struct.so python-libs-2.7.2-4.fc16.x86_64 (Fedora Project) 1310397044
:/usr/lib64/python2.7/site-packages/gtk-2.0/gtk/glade.so pygtk2-libglade-2.24.0-3.fc15.x86_64 (Fedora Project) 1307158717
:/usr/lib64/python2.7/lib-dynload/_localemodule.so python-libs-2.7.2-4.fc16.x86_64 (Fedora Project) 1310397044
:/usr/lib64/python2.7/site-packages/gtk-2.0/gtk/_gtk.so pygtk2-2.24.0-3.fc15.x86_64 (Fedora Project) 1307158711
:/usr/lib64/libssl.so.1.0.0e openssl-1.0.0e-1.fc16.x86_64 (Fedora Project) 1315459279
:/usr/lib64/libatspi.so.0.0.1 at-spi2-core-2.2.0-1.fc16.x86_64 (Fedora Project) 1317368037
:/usr/lib64/libpng12.so.0.46.0 libpng-2:1.2.46-1.fc16.x86_64 (Fedora Project) 1311007422
:/usr/lib64/libatk-1.0.so.0.20209.1 atk-2.2.0-1.fc16.x86_64 (Fedora Project) 1317368031
:/usr/share/icons/gnome/icon-theme.cache gnome-icon-theme-3.2.0-1.fc16.noarch (Fedora Project) 1317368033
:/usr/lib64/libX11-xcb.so.1.0.0 libX11-1.4.3-1.fc16.x86_64 (Fedora Project) 1309201342
:/lib64/libgthread-2.0.so.0.3000.0 glib2-2.30.0-1.fc16.x86_64 (Fedora Project) 1317368030
:/usr/lib64/python2.7/lib-dynload/_hashlib.so python-libs-2.7.2-4.fc16.x86_64 (Fedora Project) 1310397044
:/lib64/libz.so.1.2.5 zlib-1.2.5-4.fc16.x86_64 (Fedora Project) 1309201332
:/lib64/ld-2.14.90.so glibc-2.14.90-10.x86_64 (Fedora Project) 1317261760
:/usr/lib64/libXext.so.6.4.0 libXext-1.2.0-2.fc15.x86_64 (Fedora Project) 1305315778
:/usr/lib64/libjpeg.so.62.0.0 libjpeg-turbo-1.1.1-1.fc16.x86_64 (Fedora Project) 1313084678
:/usr/lib64/libgtk-x11-2.0.so.0.2400.6 gtk2-2.24.6-1.fc16.x86_64 (Fedora Project) 1314898336
:/usr/lib64/python2.7/lib-dynload/_ssl.so python-libs-2.7.2-4.fc16.x86_64 (Fedora Project) 1310397044
:/lib64/libtinfo.so.5.9 ncurses-libs-5.9-2.20110716.fc16.x86_64 (Fedora Project) 1311700096
:/usr/lib/locale/locale-archive glibc-common-2.14.90-10.x86_64 (Fedora Project) 1317261764
:/usr/lib64/libusbredirparser.so.0 usbredir-0.3.1-1.fc16.x86_64 (Fedora Project) 1314290919
:/usr/lib64/libxslt.so.1.1.26 libxslt-1.1.26-8.fc16.x86_64 (Fedora Project) 1309201336
:/usr/lib64/python2.7/site-packages/gtk-2.0/pangocairo.so pygtk2-2.24.0-3.fc15.x86_64 (Fedora Project) 1307158711
:/usr/lib64/libspice-client-glib-2.0.so.1.3.0 spice-glib-0.7.39-1.fc16.x86_64 (Fedora Project) 1315414184
:/usr/lib64/libXcursor.so.1.0.2 libXcursor-1.1.11-3.fc15.x86_64 (Fedora Project) 1305315778
:/usr/lib64/python2.7/site-packages/libvirtmod.so libvirt-python-0.9.6-2.fc16.x86_64 (Fedora Project) 1317756437
:/usr/lib64/libcacard.so.0.0.0 libcacard-0.1.2-1.fc15.x86_64 (Fedora Project) 1312561190
:/usr/lib64/libxcb.so.1.1.0 libxcb-1.7-3.fc16.x86_64 (Fedora Project) 1309201334
:/usr/lib64/python2.7/lib-dynload/operator.so python-libs-2.7.2-4.fc16.x86_64 (Fedora Project) 1310397044
:/usr/lib64/python2.7/site-packages/_dbus_bindings.so dbus-python-0.83.0-8.fc15.x86_64 (Fedora Project) 1305315743
:/usr/lib64/libgdk_pixbuf-2.0.so.0.2400.0 gdk-pixbuf2-2.24.0-1.fc16.x86_64 (Fedora Project) 1314898331
:/usr/lib64/python2.7/lib-dynload/arraymodule.so python-libs-2.7.2-4.fc16.x86_64 (Fedora Project) 1310397044
:/lib64/libresolv-2.14.90.so glibc-2.14.90-10.x86_64 (Fedora Project) 1317261760
:/usr/lib64/libcanberra.so.0.2.5 libcanberra-0.28-3.fc16.x86_64 (Fedora Project) 1310692768
:/usr/lib64/libtasn1.so.3.1.9 libtasn1-2.7-2.fc15.x86_64 (Fedora Project) 1305315726
:/usr/lib64/libXtst.so.6.1.0 libXtst-1.2.0-2.fc15.x86_64 (Fedora Project) 1305315778
:/lib64/libncurses.so.5.9 ncurses-libs-5.9-2.20110716.fc16.x86_64 (Fedora Project) 1311700096
:/usr/lib64/gtk-2.0/modules/libcanberra-gtk-module.so libcanberra-gtk2-0.28-3.fc16.x86_64 (Fedora Project) 1310692792
:/usr/lib64/python2.7/lib-dynload/zlibmodule.so python-libs-2.7.2-4.fc16.x86_64 (Fedora Project) 1310397044
:/usr/lib64/python2.7/lib-dynload/_collectionsmodule.so python-libs-2.7.2-4.fc16.x86_64 (Fedora Project) 1310397044
:/usr/lib64/libgvfscommon.so.0.0.0 gvfs-1.10.0-1.fc16.x86_64 (Fedora Project) 1317368042
:/usr/lib64/python2.7/site-packages/gtk-2.0/gio/_gio.so pygobject2-2.28.6-2.fc16.x86_64 (Fedora Project) 1314119516
:/usr/lib64/libfontconfig.so.1.4.4 fontconfig-2.8.0-4.fc16.x86_64 (Fedora Project) 1309201356
:/usr/lib64/libwsman_client.so.1.0.0 libwsman1-2.2.5-3.fc16.x86_64 (Fedora Project) 1316981618
:/usr/lib64/libyajl.so.1.0.12 yajl-1.0.12-1.fc16.x86_64 (Fedora Project) 1309201339
:/usr/lib64/libldap-2.4.so.2.7.1 openldap-2.4.26-4.fc16.x86_64 (Fedora Project) 1316716344
:/lib64/libusb-1.0.so.0.1.0 libusb1-1.0.9-0.3.rc1.fc16.x86_64 (Fedora Project) 1316455090
:/usr/lib64/python2.7/site-packages/SpiceClientGtk.so spice-gtk-python-0.7.39-1.fc16.x86_64 (Fedora Project) 1315414199
:/usr/lib64/libusbredirhost.so.1 usbredir-0.3.1-1.fc16.x86_64 (Fedora Project) 1314290919
:/usr/lib64/libxenstore.so.3.0.0 xen-libs-4.1.1-6.fc16.x86_64 (Fedora Project) 1317668176
:/usr/lib64/python2.7/lib-dynload/selectmodule.so python-libs-2.7.2-4.fc16.x86_64 (Fedora Project) 1310397044
:/usr/lib64/libnuma.so.1 numactl-2.0.7-2.fc16.x86_64 (Fedora Project) 1309201339
:/usr/lib64/python2.7/site-packages/pycurl.so python-pycurl-7.19.0-9.fc15.x86_64 (Fedora Project) 1305315755
:/lib64/libnsl-2.14.90.so glibc-2.14.90-10.x86_64 (Fedora Project) 1317261760
:/usr/lib64/gconv/gconv-modules.cache glibc-2.14.90-10.x86_64 (Fedora Project) 1317261760
:/lib64/librt-2.14.90.so glibc-2.14.90-10.x86_64 (Fedora Project) 1317261760
:/usr/lib64/libICE.so.6.3.0 libICE-1.0.7-1.fc16.x86_64 (Fedora Project) 1309201332
:/lib64/libcap-ng.so.0.0.0 libcap-ng-0.6.6-1.fc16.x86_64 (Fedora Project) 1309201334
:/usr/lib64/libpangoft2-1.0.so.0.2904.0 pango-1.29.4-1.fc16.x86_64 (Fedora Project) 1317368031
:/usr/share/fonts/abattis-cantarell/Cantarell-Regular.otf abattis-cantarell-fonts-0.0.6-1.fc16.noarch (Fedora Project) 1310068170
:/usr/lib64/libpixman-1.so.0.22.2 pixman-0.22.2-1.fc16.x86_64 (Fedora Project) 1310068151
:/usr/lib64/python2.7/lib-dynload/_heapq.so python-libs-2.7.2-4.fc16.x86_64 (Fedora Project) 1310397044
:/usr/lib64/libvte.so.9.2800.1 vte-0.28.1-1.fc16.x86_64 (Fedora Project) 1309201672
:/usr/lib64/python2.7/lib-dynload/_functoolsmodule.so python-libs-2.7.2-4.fc16.x86_64 (Fedora Project) 1310397044
:/usr/lib64/python2.7/site-packages/gtkvnc.so gtk-vnc-python-0.4.3-1.fc15.x86_64 (Fedora Project) 1308271876
:/usr/lib64/python2.7/site-packages/gtk-2.0/pango.so pygtk2-2.24.0-3.fc15.x86_64 (Fedora Project) 1307158711
:/usr/lib64/python2.7/lib-dynload/termios.so python-libs-2.7.2-4.fc16.x86_64 (Fedora Project) 1310397044
:/usr/lib64/libasyncns.so.0.3.1 libasyncns-0.8-2.fc15.x86_64 (Fedora Project) 1305315725
:/usr/lib64/python2.7/site-packages/libxml2mod.so libxml2-python-2.7.8-6.fc16.x86_64 (Fedora Project) 1309201366
:/usr/lib64/libXcomposite.so.1.0.0 libXcomposite-0.4.3-2.fc15.x86_64 (Fedora Project) 1305315778
:/usr/share/fonts/abattis-cantarell/Cantarell-Bold.otf abattis-cantarell-fonts-0.0.6-1.fc16.noarch (Fedora Project) 1310068170
:/usr/lib64/libexslt.so.0.8.15 libxslt-1.1.26-8.fc16.x86_64 (Fedora Project) 1309201336
:/usr/lib64/libgnome-keyring.so.0.1.1 libgnome-keyring-3.2.0-1.fc16.x86_64 (Fedora Project) 1317368032
:/lib64/libaudit.so.1.0.0 audit-libs-2.1.3-4.fc16.x86_64 (Fedora Project) 1316455061
:/lib64/libcom_err.so.2.1 libcom_err-1.41.14-2.fc15.x86_64 (Fedora Project) 1305315723
:/usr/lib64/libpulse-mainloop-glib.so.0.0.4 pulseaudio-libs-glib2-0.9.23-1.fc16.x86_64 (Fedora Project) 1313608830
:/usr/lib64/libfreetype.so.6.7.1 freetype-2.4.6-1.fc16.x86_64 (Fedora Project) 1312561190
:/usr/lib64/libpython2.7.so.1.0 python-libs-2.7.2-4.fc16.x86_64 (Fedora Project) 1310397044
:/usr/lib64/libcelt051.so.0.0.0 celt051-0.5.1.3-3.fc15.x86_64 (Fedora Project) 1305315730
:/usr/lib64/python2.7/site-packages/gtk-2.0/atk.so pygtk2-2.24.0-3.fc15.x86_64 (Fedora Project) 1307158711
:/lib64/libkrb5.so.3.3 krb5-libs-1.9.1-15.fc16.x86_64 (Fedora Project) 1317668192
:/usr/lib64/libvorbis.so.0.4.5 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1305315725
:/usr/lib64/libnssutil3.so nss-util-3.12.10-1.fc16.x86_64 (Fedora Project) 1309201345
:/usr/lib64/libsasl2.so.2.0.23 cyrus-sasl-lib-2.1.23-25.fc16.x86_64 (Fedora Project) 1312391742
:/lib64/libgobject-2.0.so.0.3000.0 glib2-2.30.0-1.fc16.x86_64 (Fedora Project) 1317368030
:/lib64/libgmodule-2.0.so.0.3000.0 glib2-2.30.0-1.fc16.x86_64 (Fedora Project) 1317368030
:/usr/lib64/libdbus-glib-1.so.2.1.0 dbus-glib-0.92-2.fc15.x86_64 (Fedora Project) 1305315724
:/usr/lib64/python2.7/site-packages/selinux/_selinux.so libselinux-python-2.1.5-5.1.fc16.x86_64 (Fedora Project) 1317756437
:/usr/lib64/libgnutls.so.26.21.1 gnutls-2.12.7-2.fc16.x86_64 (Fedora Project) 1312391745
:/usr/lib64/gtk-2.0/2.10.0/immodules/im-ibus.so ibus-gtk2-1.4.0-3.fc16.x86_64 (Fedora Project) 1317668173
:/usr/lib64/python2.7/lib-dynload/_bisectmodule.so python-libs-2.7.2-4.fc16.x86_64 (Fedora Project) 1310397044
:/usr/bin/python python-2.7.2-4.fc16.x86_64 (Fedora Project) 1310397044
:/lib64/libpthread-2.14.90.so glibc-2.14.90-10.x86_64 (Fedora Project) 1317261760
:/usr/lib64/python2.7/site-packages/gobject/_gobject.so pygobject2-2.28.6-2.fc16.x86_64 (Fedora Project) 1314119516
:/usr/lib64/libXfixes.so.3.1.0 libXfixes-5.0-1.fc16.x86_64 (Fedora Project) 1309201342
:/lib64/libgudev-1.0.so.0.1.0 libgudev1-173-3.fc16.x86_64 (Fedora Project) 1314810830
:/usr/lib64/libnss3.so nss-3.12.10-7.fc16.x86_64 (Fedora Project) 1315414183
:/usr/lib64/python2.7/site-packages/gtk-2.0/vtemodule.so vte-0.28.1-1.fc16.x86_64 (Fedora Project) 1309201672
:/usr/lib64/libsmime3.so nss-3.12.10-7.fc16.x86_64 (Fedora Project) 1315414183
:/usr/lib64/libXrender.so.1.3.0 libXrender-0.9.6-2.fc15.x86_64 (Fedora Project) 1305315778
:/lib64/libcrypt-2.14.90.so glibc-2.14.90-10.x86_64 (Fedora Project) 1317261760
:/usr/lib64/python2.7/lib-dynload/pyexpat.so python-libs-2.7.2-4.fc16.x86_64 (Fedora Project) 1310397044
:/usr/lib64/libfa.so.1.3.4 augeas-libs-0.9.0-1.fc16.x86_64 (Fedora Project) 1312391767
:/usr/lib64/libtdb.so.1.2.9 libtdb-1.2.9-10.fc16.x86_64 (Fedora Project) 1309201335
:/usr/lib64/libxml2.so.2.7.8 libxml2-2.7.8-6.fc16.x86_64 (Fedora Project) 1309201332
:/usr/lib64/libpyglib-2.0-python.so.0.0.0 pygobject2-2.28.6-2.fc16.x86_64 (Fedora Project) 1314119516
:/lib64/libdbus-1.so.3.5.6 dbus-libs-1:1.4.10-3.fc16.x86_64 (Fedora Project) 1314202689
:/usr/lib64/python2.7/lib-dynload/binascii.so python-libs-2.7.2-4.fc16.x86_64 (Fedora Project) 1310397044
:/lib64/libdl-2.14.90.so glibc-2.14.90-10.x86_64 (Fedora Project) 1317261760
:/lib64/libkrb5support.so.0.1 krb5-libs-1.9.1-15.fc16.x86_64 (Fedora Project) 1317668192
:/usr/lib64/python2.7/site-packages/gtk-2.0/gio/unix.so pygobject2-2.28.6-2.fc16.x86_64 (Fedora Project) 1314119516
:/usr/lib64/libwsman.so.1.0.0 libwsman1-2.2.5-3.fc16.x86_64 (Fedora Project) 1316981618
:/usr/lib64/python2.7/lib-dynload/timemodule.so python-libs-2.7.2-4.fc16.x86_64 (Fedora Project) 1310397044
:/usr/lib64/python2.7/lib-dynload/fcntlmodule.so python-libs-2.7.2-4.fc16.x86_64 (Fedora Project) 1310397044
:/usr/lib64/libXau.so.6.0.0 libXau-1.0.6-2.fc15.x86_64 (Fedora Project) 1305315725
:/lib64/libidn.so.11.6.5 libidn-1.22-3.fc16.x86_64 (Fedora Project) 1309201350
:/usr/lib64/libXrandr.so.2.2.0 libXrandr-1.3.1-2.fc15.x86_64 (Fedora Project) 1305315778
:/usr/lib64/libsndfile.so.1.0.25 libsndfile-1.0.25-1.fc16.x86_64 (Fedora Project) 1311007469
:/usr/lib64/libvirt.so.0.9.6 libvirt-client-0.9.6-2.fc16.x86_64 (Fedora Project) 1317756411
:/usr/lib64/libltdl.so.7.3.0 libtool-ltdl-2.4-6.fc16.x86_64 (Fedora Project) 1309388603
:/usr/lib64/libpulsecommon-0.9.23.so pulseaudio-libs-0.9.23-1.fc16.x86_64 (Fedora Project) 1313608812
:/lib64/libutil-2.14.90.so glibc-2.14.90-10.x86_64 (Fedora Project) 1317261760
:/usr/lib64/libglade-2.0.so.0.0.7 libglade2-2.6.4-5.fc15.x86_64 (Fedora Project) 1305315785
:/usr/lib64/libaugeas.so.0.14.0 augeas-libs-0.9.0-1.fc16.x86_64 (Fedora Project) 1312391767
:/usr/lib64/gtk-2.0/modules/libpk-gtk-module.so PackageKit-gtk-module-0.6.18-2.fc16.x86_64 (Fedora Project) 1315586396
:/usr/lib64/python2.7/lib-dynload/cStringIO.so python-libs-2.7.2-4.fc16.x86_64 (Fedora Project) 1310397044
:/usr/lib64/python2.7/site-packages/_dbus_glib_bindings.so dbus-python-0.83.0-8.fc15.x86_64 (Fedora Project) 1305315743
:/usr/lib64/libXi.so.6.1.0 libXi-1.4.3-2.fc16.x86_64 (Fedora Project) 1314030728
:/usr/lib64/libgailutil.so.18.0.1 gtk2-2.24.6-1.fc16.x86_64 (Fedora Project) 1314898336
:/usr/lib64/python2.7/lib-dynload/itertoolsmodule.so python-libs-2.7.2-4.fc16.x86_64 (Fedora Project) 1310397044
:/usr/lib64/python2.7/lib-dynload/stropmodule.so python-libs-2.7.2-4.fc16.x86_64 (Fedora Project) 1310397044
:/usr/lib64/liblber-2.4.so.2.7.1 openldap-2.4.26-4.fc16.x86_64 (Fedora Project) 1316716344
:/usr/lib64/python2.7/lib-dynload/_socketmodule.so python-libs-2.7.2-4.fc16.x86_64 (Fedora Project) 1310397044
:/usr/lib64/python2.7/site-packages/gtk-2.0/gnomekeyring.so gnome-python2-gnomekeyring-2.32.0-5.fc16.x86_64 (Fedora Project) 1314810850
:/usr/lib64/libibus-1.0.so.0.400.0 ibus-libs-1.4.0-3.fc16.x86_64 (Fedora Project) 1317668172
:/lib64/libkeyutils.so.1.4 keyutils-libs-1.5.2-1.fc16.x86_64 (Fedora Project) 1312391755
:/usr/lib64/libnetcf.so.1.4.0 netcf-libs-0.1.9-1.fc16.x86_64 (Fedora Project) 1312391817
:/usr/lib64/libcurl.so.4.2.0 libcurl-7.21.7-5.fc16.x86_64 (Fedora Project) 1316571296
:/usr/lib64/python2.7/lib-dynload/_io.so python-libs-2.7.2-4.fc16.x86_64 (Fedora Project) 1310397044
:/usr/lib64/libffi.so.5.0.10 libffi-3.0.10-1.fc16.x86_64 (Fedora Project) 1314202718
:/lib64/libgssapi_krb5.so.2.2 krb5-libs-1.9.1-15.fc16.x86_64 (Fedora Project) 1317668192
:/usr/lib64/libogg.so.0.7.1 libogg-2:1.2.2-3.fc15.x86_64 (Fedora Project) 1305315723
:/usr/lib64/libssl3.so nss-3.12.10-7.fc16.x86_64 (Fedora Project) 1315414183
:/usr/lib64/libSM.so.6.0.1 libSM-1.2.0-2.fc15.x86_64 (Fedora Project) 1305315723
:/usr/lib64/libXinerama.so.1.0.0 libXinerama-1.1.1-2.fc15.x86_64 (Fedora Project) 1305315778
:/lib64/libexpat.so.1.5.2 expat-2.0.1-11.fc15.x86_64 (Fedora Project) 1305315723
:/usr/lib64/python2.7/lib-dynload/_randommodule.so python-libs-2.7.2-4.fc16.x86_64 (Fedora Project) 1310397044
:/lib64/libcrypto.so.1.0.0e openssl-1.0.0e-1.fc16.x86_64 (Fedora Project) 1315459279
:/lib64/libglib-2.0.so.0.3000.0 glib2-2.30.0-1.fc16.x86_64 (Fedora Project) 1317368030
:/usr/lib64/libgvnc-1.0.so.0.0.1 gvnc-0.4.3-1.fc15.x86_64 (Fedora Project) 1305315794
:/usr/lib64/libX11.so.6.3.0 libX11-1.4.3-1.fc16.x86_64 (Fedora Project) 1309201342
:/usr/lib64/libgtk-vnc-1.0.so.0.0.1 gtk-vnc-0.4.3-1.fc15.x86_64 (Fedora Project) 1308271875
:/usr/lib64/python2.7/site-packages/glib/_glib.so pygobject2-2.28.6-2.fc16.x86_64 (Fedora Project) 1314119516
:/usr/lib64/gtk-2.0/2.10.0/engines/libclearlooks.so gtk2-engines-2.20.2-2.fc15.x86_64 (Fedora Project) 1305315792
:/usr/lib64/gio/modules/libgvfsdbus.so gvfs-1.10.0-1.fc16.x86_64 (Fedora Project) 1317368042
:/lib64/libudev.so.0.12.0 libudev-173-3.fc16.x86_64 (Fedora Project) 1314810830
:/usr/lib64/libpulse.so.0.12.4 pulseaudio-libs-0.9.23-1.fc16.x86_64 (Fedora Project) 1313608812
:/usr/lib64/libssh2.so.1.0.1 libssh2-1.2.7-1.fc15.x86_64 (Fedora Project) 1305315750
:/lib64/libplds4.so nspr-4.8.8-4.fc16.x86_64 (Fedora Project) 1311700092
:/lib64/libuuid.so.1.3.0 libuuid-2.20-1.fc16.x86_64 (Fedora Project) 1314810830
:/usr/lib64/libspice-client-gtk-2.0.so.1.0.2 spice-gtk-0.7.39-1.fc16.x86_64 (Fedora Project) 1315414186
:/lib64/libc-2.14.90.so glibc-2.14.90-10.x86_64 (Fedora Project) 1317261760
:/lib64/libgcc_s-4.6.1-20110908.so.1 libgcc-4.6.1-9.fc16.x86_64 (Fedora Project) 1315843872
:/usr/lib64/gtk-2.0/modules/libgail.so gtk2-2.24.6-1.fc16.x86_64 (Fedora Project) 1314898336
:/usr/lib64/libvorbisfile.so.3.3.4 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1305315725
:/lib64/libselinux.so.1 libselinux-2.1.5-5.1.fc16.x86_64 (Fedora Project) 1317756410
:/usr/lib64/libpangocairo-1.0.so.0.2904.0 pango-1.29.4-1.fc16.x86_64 (Fedora Project) 1317368031
:/lib64/libplc4.so nspr-4.8.8-4.fc16.x86_64 (Fedora Project) 1311700092
:/lib64/libnss_files-2.14.90.so glibc-2.14.90-10.x86_64 (Fedora Project) 1317261760
:/lib64/libk5crypto.so.3.1 krb5-libs-1.9.1-15.fc16.x86_64 (Fedora Project) 1317668192
:/lib64/libgpg-error.so.0.8.0 libgpg-error-1.10-1.fc16.x86_64 (Fedora Project) 1311007425
:/usr/lib64/libgconf-2.so.4.1.5 GConf2-3.2.0-1.fc16.x86_64 (Fedora Project) 1317368032
:/lib64/libgio-2.0.so.0.3000.0 glib2-2.30.0-1.fc16.x86_64 (Fedora Project) 1317368030
:/usr/lib64/libpcap.so.1.1.1 libpcap-14:1.1.1-4.fc16.x86_64 (Fedora Project) 1315414208
:/usr/lib64/libbluray.so.0.0.0 libbluray-0.2-0.5.20110710git51d7d60a96d06.fc16.x86_64 (Fedora Project) 1314810829
:/usr/lib64/python2.7/lib-dynload/cPickle.so python-libs-2.7.2-4.fc16.x86_64 (Fedora Project) 1310397044
:/usr/lib64/libcairo.so.2.11000.2 cairo-1.10.2-4.fc16.x86_64 (Fedora Project) 1309798035
:/lib64/libdevmapper.so.1.02 device-mapper-libs-1.02.65-5.fc16.x86_64 (Fedora Project) 1312561190
:/lib64/libsepol.so.1 libsepol-2.1.1-1.fc16.x86_64 (Fedora Project) 1312391838

environ:
:XDG_VTNR=1
:GIT_PS1_SHOWDIRTYSTATE=true
:XDG_SESSION_ID=2
:HOSTNAME=adam.localdomain
:GIO_LAUNCHED_DESKTOP_FILE_PID=4912
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/tmp/keyring-ZP3ls8/gpg:0:1
:TERM=dumb
:SHELL=/bin/bash
:XDG_SESSION_COOKIE=ca249ca7830426304c997a3000000007-1317754971.894150-1109762851
:HISTSIZE=1000
:GJS_DEBUG_OUTPUT=stderr
:GNOME_KEYRING_CONTROL=/tmp/keyring-ZP3ls8
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:IMSETTINGS_MODULE=none
:USER=adamw
:SSH_AUTH_SOCK=/tmp/keyring-ZP3ls8/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1573,unix/unix:/tmp/.ICE-unix/1573
:USERNAME=adamw
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/virt-manager.desktop
:DESKTOP_SESSION=gnome
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/adamw/bin
:MAIL=/var/spool/mail/adamw
:_=/usr/bin/gnome-session
:QT_IM_MODULE=xim
:PWD=/home/adamw
:XMODIFIERS=@im=none
:LANG=en_US.utf8
:GNOME_KEYRING_PID=1568
:GDM_LANG=en_US.utf8
:GIT_PS1_SHOWUNTRACKEDFILES=true
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:SHLVL=1
:XDG_SEAT=seat0
:HOME=/home/adamw
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=adamw
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-6RDvS5STXd,guid=3fc9bb240d12d23b793c098600000013
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/adamw
:XAUTHORITY=/var/run/gdm/auth-for-adamw-7S12Ce/database

var_log_messages:
:Oct  3 11:56:15 adam yum[13409]: Updated: eekboard-python-1.0.4-1.fc16.x86_64
:Oct  4 12:26:52 adam yum[2615]: Updated: libreport-python-2.0.6-1.fc16.x86_64
:Oct  4 12:26:53 adam yum[2615]: Updated: abrt-addon-python-2.0.4.981-2.fc16.x86_64
:Oct  4 12:27:17 adam yum[2615]: Updated: libvirt-python-0.9.6-2.fc16.x86_64
:Oct  4 12:27:17 adam yum[2615]: Updated: libselinux-python-2.1.5-5.1.fc16.x86_64
:Oct  4 12:27:22 adam yum[2615]: libselinux-python-2.1.5-5.fc16.x86_64: ts_done name in te is libselinux-utils should be libselinux-python-2.1.5-5.fc16.x86_64
:Oct  4 12:27:22 adam yum[2615]: libreport-plugin-reportuploader-2.0.5.982-1.fc16.x86_64: ts_done name in te is libselinux-python should be libreport-plugin-reportuploader-2.0.5.982-1.fc16.x86_64
:Oct  4 12:27:22 adam yum[2615]: libreport-python-2.0.5.982-1.fc16.x86_64: ts_done name in te is libreport-plugin-reportuploader should be libreport-python-2.0.5.982-1.fc16.x86_64
:Oct  4 12:27:22 adam yum[2615]: libreport-2.0.5.982-1.fc16.x86_64: ts_done name in te is libreport-python should be libreport-2.0.5.982-1.fc16.x86_64
:Oct  4 13:21:56 adam kernel: [ 4758.316421] python[4914]: segfault at 50 ip 00007f821ef6c706 sp 00007fffc2f12af0 error 4 in libspice-client-gtk-2.0.so.1.0.2[7f821ef68000+d000]
:Oct  4 13:21:58 adam abrt[5394]: saved core dump of pid 4914 (/usr/bin/python) to /var/spool/abrt/ccpp-2011-10-04-13:21:56-4914 (266653696 bytes)
Comment 1 Adam Williamson 2011-10-05 20:57:15 EDT
Created attachment 526598 [details]
File: backtrace
Comment 2 Adam Williamson 2011-10-05 20:57:16 EDT
Created attachment 526599 [details]
File: maps
Comment 3 Cole Robinson 2011-10-13 13:47:22 EDT
Looks like a spice issue.
Comment 4 Cole Robinson 2012-01-17 17:19:57 EST
*** Bug 758702 has been marked as a duplicate of this bug. ***
Comment 5 Cole Robinson 2012-01-17 17:20:10 EST
*** Bug 765794 has been marked as a duplicate of this bug. ***
Comment 6 Cole Robinson 2012-01-17 17:20:21 EST
*** Bug 770567 has been marked as a duplicate of this bug. ***
Comment 7 Marc-Andre Lureau 2012-01-18 07:45:24 EST
Looks like there is no way to cancel a gtk_clipboard_request_*(). 

Although it seems like gtk_selection_remove_all() would solve that problem, it will have nasty effect of destroying other pending requests from others..

I guess we need an extra structure that will make a weak reference.
Comment 8 Cole Robinson 2012-01-18 09:06:06 EST
*** Bug 768728 has been marked as a duplicate of this bug. ***
Comment 9 Marc-Andre Lureau 2012-01-18 09:21:05 EST
See proposed patch in http://lists.freedesktop.org/archives/spice-devel/2012-January/006909.html
Comment 10 Cole Robinson 2012-01-23 20:11:12 EST
Thanks for taking care of this Marc-Andre!
Comment 11 Marc-Andre Lureau 2012-01-23 20:40:10 EST
(In reply to comment #10)
> Thanks for taking care of this Marc-Andre!

well, let see if that is actually fixing the problem, as I have no way to reproduce it. although it makes sense that we need to have a way to track and cancel those requests somehow.
Comment 12 Marc-Andre Lureau 2012-08-02 08:21:09 EDT
Apparently, that was fixed in spice-gtk-0.9-1.fc16. Closing